Skip to main content
GET
/
cuits
Obtener CUITs
curl --request GET \
  --url https://facture.ar/api/cuits \
  --header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://facture.ar/api/cuits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://facture.ar/api/cuits"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://facture.ar/api/cuits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cuit": "<string>",
      "businessName": "<string>",
      "category": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}

Authorizations

x-api-key
string
header
required

API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.

Query Parameters

status
enum<string>

Filtrar por estado del CUIT

Available options:
active,
inactive,
pending
type
enum<string>

Filtrar por tipo de CUIT

Available options:
monotributo,
responsable_inscripto,
exento
includeDefaults
boolean
default:false

Incluir valores por defecto

Response

Lista de CUITs obtenida exitosamente

data
object[]
meta
object